NASM 'ppscan()' Off-By-One Buffer Overflow Vulnerability

Bugtraq ID: 29656
Class: Boundary Condition Error
CVE: CVE-2008-2719
Remote: Yes
Local: No
Published: May 21 2008 12:00AM
Updated: Sep 30 2008 10:38PM
Credit: Philipp Thomas
Vulnerable: Ubuntu Ubuntu Linux 8.04 LTS sparc
Ubuntu Ubuntu Linux 8.04 LTS powerpc
Ubuntu Ubuntu Linux 8.04 LTS lpia
Ubuntu Ubuntu Linux 8.04 LTS i386
Ubuntu Ubuntu Linux 8.04 LTS amd64
NASM NASM 2.0.2
NASM NASM 2.0.1
NASM NASM 2.0
Mandriva Linux Mandrake 2008.1 x86_64
Mandriva Linux Mandrake 2008.1
Not Vulnerable: NASM NASM 2.0.3


 

Privacy Statement
Copyright 2010, SecurityFocus